EGG2FLT(1)

NAME
egg2flt - convert files from .egg format to MultiGen .flt

SYNOPSIS
egg2flt [opts] input.egg output.flt
egg2flt [opts] -o output.flt input.egg

DESCRIPTION
egg2lt converts files from egg format to MultiGen .flt format. It attempts to be as robust as possible, and matches the capabilities of flt2egg. Generally, converting a model from egg2lt and then back via flt2egg will result in essentially the same egg file, within the limitations of what can be represented in flt.

OPTIONS

-noabs
    Don't allow the input egg file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-attr none/new/all
    Specifies whether to write (or rewrite) .attr files for each texture image. MultiGen stores texture properties like mipmapping in a separate .attr file for each different texture image. If this parameter is "none", these files will not be generated; if this is "new", these files will only be generated if they do not already exist (even if the properties have changed). Specifying "all" causes these to be rewritten every time.

-o filename
    Specify the filename to which the resulting MultiGen file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file.

-f  Force complete loading: load up the egg file along with all of its external references.

-h  Display this help page.